Sub AbsFactor1 (E0,AtNum,AtWht,hi,fa)

     'Subroutine for calculatation of Philibert (1963) absorption
     'factor

     'Input parameters:    E0       :    Incident beam energy in keV
     '                     AtNum    :    Atomic numbe
     '                     AtWht    :    Atomic weight
     '                     hi       :    hi=Mac*csc(ksi)
     'Output parameter:    fa       :    Absorption factor

     h=1.2*AtWht/AtNum^2
     a0=1
     a1=2*1e-6*(1+2*h)/(1+h)
     a2=4*1e-12*h/(1+h)
     gama=E0^1.65
     fa=a0+a1*gama*hi+a2*gama^2*hi^2
     fa=1/fa

End Sub