Sub FluorYield3 (AtNum,Omega)

     'Fluorescence yield for K lines, Byrne and Howarth (1970)
     'Input parameter:  AtNum   :  Atomic number
     'Output parameter: Omega   :  Fluorescence yield

     a=11.66-3.36*(log(AtNum))
     Omega=1/(1+exp(a))

End Sub
