Sub ICS7 (E0,Ec,Q)

'Subroutine:Ionization cross-section,Kolbenstvedt (1971),for K-lines.
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K lines in keV
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     Q=(3.590*1e-14*log(2.38*U))/U+(1.293*1e-13/U)*(1-(1+log(u))/U)
     Q=Q/Ec^2
     Q=Q*0.001*0.001

End Sub
