Sub IniPlot1 (Tilt,Xmax,Ymax,Top,Edge,Bot,Col,Hscale,Vscale,_
	      Form$,BeamDia)

     'Plot sample line,electron beam and micron marker.
     'Sample surface
     pi=3.1415927
     line (Edge,Top)-(Xmax-Edge,Top),Col
     'Electron beam on the sample surface
     ab=Top*tan(Tilt/57.2958)
     x=Xmax/2
     Top=Top-(Radius*2*Vscale)
     if Form$="P" then
	    line (x+ab,1)-(x,Top),Col
     elseif Form$="G" then
	    x1=(BeamDia/2)*Hscale
	    if x1<2 then x1=2
	    line (x+ab-x1,1)-(x-x1,Top),Col
	    line (x+ab+x1,1)-(x+x1,Top),Col
     elseif Form$="U" then
	    x1=(BeamDia/2)*Hscale
	    if x1<2 then x1=2
	    line (x+ab-x1,1)-(x-x1,Top),Col
	    line (x+ab+x1,1)-(x+x1,Top),Col
     end if
     'Put micron marker on graphic screen
     if Hscale<=300 then
	   line (Edge,Ymax-Bot)-(Edge+(Hscale),Ymax-Bot),Col
	   locate 23,2
	   print"1.0 um"
     else
	   line (Edge,Ymax-Bot)-(Edge+(0.1*Hscale),Ymax-Bot),Col
	   locate 23,2
	   print"0.1 um"
     end if

End Sub
