Sub MDL4 (P,B,C,Cmin)

'Detectability of element B (AB combination) in AEM,Michael (1982)
'Input parameter:  P     = raw integrated intensity of element B
'                  B     = background intensity of element B
'                  C     = concentration of element B in wt.%
'Output parameter: Cmin  = detectability (in wt.%) of element B

       Cmin=(3*(2*B)^0.5/(P-B))*C

End Sub