Sub Mean7 (n,Z(),c(),a(),Z)

'Calc mean atomic number and atomic weight of the multielement sample
'Armstrong (1991)
'Input parameters:   n    : number of the elements
'                    Z(i) : atomic number of the element i
'                    a(i) : atomic weight of the element i
'                    c(i) : weight concentration of the element i
'Output parameters:  Z    : mean atomic number

     sum1=0
     sum2=0
     for i=1 to n
	 c(i)=c(i)/100
	 sum1=sum1+((c(i)*Z(i))/a(i))
	 sum2=sum2+(c(i)/a(i))
     next i
     Z=sum1/sum2

End Sub