Sub Phi04 (E0,Ec,Eta,phi0)

     'Subroutine:Packwood and Brown phi(0) expression,(1981)
     'Input parameters:   E0    :   incident beam energy in keV
     '                    Ec    :   excitation potential in keV
     '                    Eta   :   backscattering factor
     'Output parameter:   phi0  :   surface ionization function

     U0=E0/Ec
     Ratio=(5*U0/((U0-1)*log(U0)))*(log(U0)-5+5*U0^(-0.2))
     Phi0=1+Eta*3.14159*Ratio-Eta

End Sub
