Sub Phi08 (E0,Ec,Eta,phi0)

     'Subroutine:Cazaux phi(0) expression,(1991)
     'Input parameters:   E0    :   incident beam energy in keV
     '                    Ec    :   excitation potential in keV
     '                    Eta   :   backscattering coefficient
     'Output parameter:   phi0  :   surface ionization function

     U0=E0/Ec
     a=4*Eta/(1+Eta)
     b=1-1/U0
     c=(1+Eta)/2
     phi0=1+a*b*(1+log(c)/log(U0))

End Sub
