Sub Range4 (E0,Ec,rho,Range)

'Depth of X-ray production,Duncumb (1960)
'Input parameters:  E0    = energy of electron beam in keV
'                   Ec    = critical excitation energy in keV
'                   rho   = density in g/cm^3
'Output parameter:  Range = depth of X-ray production in microns

     Range=0.04*(E0^2.0-Ec^2.0)
     Range=Range/rho

End Sub