Sub Ruther3 (N,AtNum(),Wtc(),IncEnergy,b)

     'Computes the Rutherford scattering factor for multi-element sample
     'by using the Love-Scott model and Hunger-Kuchler BS data
     Eta=0
     for i=1 to N
	   hkm=(0.1382-0.9211/sqr(AtNum(i)))
	   dum=log(AtNum(i))
	   hkc=0.1904-0.2236*dum+0.1292*dum*dum-0.01491*dum*dum*dum
	   hkbs=hkc*IncEnergy^hkm
	   Eta=Eta+Wtc(i)*hkbs
     next i
     'hence from Love-Scott model the scattering factor is
     b=0.016697+0.55108*Eta-0.96777*Eta*Eta+1.8864*Eta+Eta+Eta

End Sub
