Sub ZAR2 (AtNum,AtWht,Rho)

     'Atomic weights and density data from random access file ZAR2.RND.
     'Input parameters:     AtNum   :    Atomic number
     'Output parameters:    AtWht   :    Atomic weight
     '			    Rho     :    Density in g/cm^3

     open "ZAR2.RND" for random as #1 len=4
     field #1,4 as D$
     Poz1=92+AtNum
     get #1,Poz1
     D=cvs(D$)
     AtWht=D
     Poz2=184+AtNum
     get #1,Poz2
     D=cvs(D$)
     Rho=D
     close #1

End Sub
