Sub BackFactor5 (Z,E0,Ec,R)

     'Backscattering factor (R-Factor), Russ (1975)

     'Input parameters: Z      :  Atomic number
     '                  E0     :  Incident beam energy in keV
     '                  Ec     :  Critical excitation energy in keV
     'Output parameter: R      :  Backscattering factor

     U=E0/Ec
     R=exp(-0.004*Z*(U-1)^0.3)

End Sub
