Sub BSC22 (n,c(),eta(),eta)

'Calc mean backscattering coefficient of the multielement sample
'Castaing (1960) formula
'Input parameters:  n       :  number of the elements
'                   c()     :  weight concentration of the element i
'                   eta()   :  backscattering coefficient of the element i
'Output parameters: eta     :  mean backscattering coefficient

     eta=0
     for i%=1 to n
       eta=eta+c(i%)*eta(i%)
     next i%

End Sub


