Sub BSC23 (Z,eta)

'Calc backscattering coefficient for the spherical particle (one element)
'Markowicz and Van Grieken (1984)
'Input parameters:    Z     :  atomic number of the particle
'Output parameters:   eta   :  backscattering coefficient of the particle

     p=9*Z^(-1/2)
     a=1/(p-1)
     b=(2/2^p)-1
     c=1/(p-2)
     d=(4/2^p)-1
     eta=2*(a*b-c*d)

End Sub


