Sub FluorYield1 (Z,Lines,Omega)

     'Fluorescence yield, Wentzel (1927)

     'Input parameters:  Z        :  Atomic number
     '                   Lines$   :  Line code (K, L and M)
     'Output parameter:  Omega    :  Fluorescence yield

     Lines$=ucase$(Lines$)
     if Lines$="K" then a=1.15e+6
     if Lines$="L" then a=1.00e+8
     if Lines$="M" then a=7.50e+8
     Omega=Z^4/(a+Z^4)

End Sub