Sub Range3 (E0,Ec,Z,A,rho,Range)

'Depth of X-ray production,Castaing (1960)
'Input parameters: E0    = energy of electron beam in keV
'                  Ec    = critical excitation energy in keV
'                  Z     = atomic number
'                  A     = atomic weight
'                  rho   = density in g/cm^3
'Output parameter: Range = depth of X-ray production in microns

     Range=0.033*(E0^1.7-Ec^1.7)*A/Z
     Range=Range/rho

End Sub